Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #590

Window positions changing unpredictably after update to 3.7
November 17, 2015 14:37 - Marcin Kocur
Assignee: % Done: 0%

Category: plugins/skins Estimated time: 0.00 hour

Target version:

Affects version: 3.7

Description
Hello,
after upgrading to 3.7:

[2015-11-13 22:42] [ALPM] upgraded audacious-plugins (3.6.2-2 -> 3.7-1)
[2015-11-13 22:42] [ALPM] upgraded audacious (3.6.2-1 -> 3.7-1)

| can see that playlist and equalizer in GTK winamp like interface are changing positions for values like 50px in totally unpredictable
way so one overlays or stands out of another. It happens after closing audacious to tray icon, changing song and redisplaying
audacious back.

| found a workaround: simply rename playlist-state file.

That was how the old file looked like: http://wklej.org/id/1846311/
And the new file recreated by audacious: http://wklej.org/id/1846312/

However, when | tried to simulate this problem in order to make a screenshot, | found another issue. | just messed up audacious
windows as it is on the screen in attachement. Then | repeated what | wrote above: minimized to icon, changed some songs,
reverted back: audacious's windows were messed again in different way.

This may not be an upgrade issue, this may exist since some time. I'm using xfce with composition manager enabled.

History

#1 - November 17, 2015 21:19 - John Lindgren

This is generally a window manager issue, as stated on the website (http://audacious-media-player.org/problems). It's very unlikely to be related to
the playlist-state since there is nothing in that file that controls window size or placement. XFWM has some "tweaks", one of which (if | remember
correctly) allows you to disable "smart" window placement. Try doing that.

#2 - November 17, 2015 21:20 - John Lindgren

Also you can try running OpenBox instead as a test; if that fixes the problem, then it's definitely related to XFWM4.

#3 - November 17, 2015 21:20 - John Lindgren
- Category changed from plugins/gtkui to plugins/skins

#4 - November 19, 2015 08:57 - Marcin Kocur
- File aud.png added
- File aud2.png added

| installed openbox with tint2 to see tray icon. There is the same problem. To reproduce: put audacious to right bottom edge of screen, minimize it to
tray icon, using keyboard shortcuts play next song, play previous song, reopen audacious from the icon.

On the second screen | moved tint2 to some other edge of screen so it would not interfere with audacious window but effect is the same.

July 06, 2025 1/2



http://wklej.org/id/1846311/
http://wklej.org/id/1846312/
http://audacious-media-player.org/problems

#5 - November 19, 2015 14:29 - John Lindgren

- Status changed from New to Rejected

The problem is that you are moving Audacious to a place where it overlaps with the panel. The window manager is "fixing" it for you and moving
some of the windows where they don't overlap. There's nothing we can fix here; it's a window manager "feature”.

#6 - November 19, 2015 14:41 - Marcin Kocur

It could be true for aud.png but not for aud2.png. There is nothing around audacious except of screen edges.

#7 - November 19, 2015 16:04 - John Lindgren

Marcin Kocur wrote:

It could be true for aud.png but not for aud2.png. There is nothing around audacious except of screen edges.

You haven't given exact scenario details, but the spacing is clearly the same as was reserved for the panel in the other screenshot. Look into how
your panel and window manager communicate with regard to screen edge struts; there may be a bug somewhere in the panel or the window manager
(or it could simply be a protocol limitation). Regardless, it is the window manager moving the windows, not Audacious. So you be discussing this with
the developers of your window manager, not here.

Files

aud.png 64.8 KBNovember 17, 2015 Marcin Kocur
aud.png 28.3 KBNovember 19, 2015 Marcin Kocur
aud2.png 25.5 KBNovember 19, 2015 Marcin Kocur
